Caldera UnixWare and OpenUnix Webtop cgi scripts command execution

unixware-webtop-execute-commands (7977) The risk level is classified as HighHigh Risk

Description:

Caldera UnixWare could allow a local attacker to execute arbitrary commands on the system, caused by a vulnerability in several Webtop setuid CGI scripts. A local attacker could use the -c command-line option to load a malicious program onto the system, which would be executed on the system with root privileges once the program is executed with either the scoadminreg.cgi or service_action.cgi scripts.


Consequences:

Gain Privileges

Remedy:

Apply the erg711951b.Z patch, as listed in Caldera International, Inc. Security Advisory CSSA-2002-SCO.6. See References.

References:

Platforms Affected:

  • SCO Caldera OpenUnix 8.0.0
  • SCO Caldera UnixWare 7.1.1

Reported:

Jan 20, 2002

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page